(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     11864,        320]
NotebookOptionsPosition[     10843,        295]
NotebookOutlinePosition[     11277,        312]
CellTagsIndexPosition[     11234,        309]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8199749238028493`*^9, 
  3.819974935536437*^9}},ExpressionUUID->"e2974e42-ab85-417b-ae68-\
d3ca546e1c16"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A1", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "b", ",", "b", ",", "a", ",", "c", ",", "c",
      ",", "a", ",", "b", ",", "c", ",", "c", ",", "a", ",", "b", ",", "b"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A1", ",", "\[Alpha]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A1", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.819994370947709*^9, 3.819994400588317*^9}, {
  3.8199944674389706`*^9, 3.81999457376061*^9}},
 CellLabel->
  "In[113]:=",ExpressionUUID->"2f17184b-81da-488d-85b1-6098be3fdca5"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.8199944914692183`*^9, 3.819994504302887*^9}, 
   3.8199945368668528`*^9, 3.8199945901659627`*^9, 3.8199947033590293`*^9, 
   3.8199962713921003`*^9, 3.819997911582034*^9},
 CellLabel->
  "Out[115]=",ExpressionUUID->"2c401246-d345-438c-b012-a4d0b63cdb60"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8199944914692183`*^9, 3.819994504302887*^9}, 
   3.8199945368668528`*^9, 3.8199945901659627`*^9, 3.8199947033590293`*^9, 
   3.8199962713921003`*^9, 3.8199979115850067`*^9},
 CellLabel->
  "Out[116]=",ExpressionUUID->"f3d89473-bf4c-437f-8ab1-afe6ba7d1147"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A2", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"], ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "b", ",", "b", ",", "a", ",", "c", ",", "c",
      ",", "a", ",", "b", ",", "c", ",", "c", ",", "a", ",", "b", ",", "b"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A2", ",", "\[Alpha]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A2", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.819971575312625*^9, 3.819971578852971*^9}, {
  3.819971634653981*^9, 3.81997181782432*^9}, {3.819971856732298*^9, 
  3.819971883708958*^9}, {3.819973668387988*^9, 3.8199736687285995`*^9}, {
  3.8199740051705475`*^9, 3.8199740442560716`*^9}, {3.819975079695634*^9, 
  3.819975180996073*^9}, {3.8199917423219223`*^9, 3.81999193672143*^9}, {
  3.8199943729213696`*^9, 3.819994382972015*^9}, {3.8199945815031214`*^9, 
  3.8199945856651287`*^9}},
 CellLabel->
  "In[117]:=",ExpressionUUID->"8b1ed990-8dd1-4644-b3df-8a2052c7205e"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.8199752775744085`*^9, 3.819975316036515*^9, 3.819975360630588*^9, 
   3.8199756277583594`*^9, {3.8199919212225246`*^9, 3.8199919836817045`*^9}, 
   3.8199946021827173`*^9, 3.819994706163436*^9, 3.8199962743020296`*^9, 
   3.819997913736104*^9},
 CellLabel->
  "Out[119]=",ExpressionUUID->"1b3e9c82-d99c-4268-8117-eb96970888e3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8199752775744085`*^9, 3.819975316036515*^9, 3.819975360630588*^9, 
   3.8199756277583594`*^9, {3.8199919212225246`*^9, 3.8199919836817045`*^9}, 
   3.8199946021827173`*^9, 3.819994706163436*^9, 3.8199962743020296`*^9, 
   3.819997913739095*^9},
 CellLabel->
  "Out[120]=",ExpressionUUID->"dddee9f7-5961-46e3-a48c-b16343939819"]
}, Open  ]]
},
WindowSize->{949.5, 478.},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.2 para Microsoft Windows (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"5ba469ff-2b55-4c5e-872e-231d8c1374f3"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 182, 4, 42, "Input",ExpressionUUID->"e2974e42-ab85-417b-ae68-d3ca546e1c16"],
Cell[CellGroupData[{
Cell[765, 28, 3126, 84, 238, "Input",ExpressionUUID->"2f17184b-81da-488d-85b1-6098be3fdca5"],
Cell[3894, 114, 309, 5, 48, "Output",ExpressionUUID->"2c401246-d345-438c-b012-a4d0b63cdb60"],
Cell[4206, 121, 1057, 25, 48, "Output",ExpressionUUID->"f3d89473-bf4c-437f-8ab1-afe6ba7d1147"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5300, 151, 4009, 103, 266, "Input",ExpressionUUID->"8b1ed990-8dd1-4644-b3df-8a2052c7205e"],
Cell[9312, 256, 383, 7, 48, "Output",ExpressionUUID->"1b3e9c82-d99c-4268-8117-eb96970888e3"],
Cell[9698, 265, 1129, 27, 64, "Output",ExpressionUUID->"dddee9f7-5961-46e3-a48c-b16343939819"]
}, Open  ]]
}
]
*)

